Asset Packs
Get an asset pack
Get an asset pack.
GET
/
v1
/
asset-packs
/
{assetPackId}
Get an asset pack
curl --request GET \
--url https://api.mint.gg/v1/asset-packs/{assetPackId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mint.gg/v1/asset-packs/{assetPackId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mint.gg/v1/asset-packs/{assetPackId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<unknown>",
"id": "<string>",
"name": "<string>",
"status": "<string>",
"thumbnailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"index": 123,
"displayName": "<string>",
"itemPrompt": "<string>",
"status": "<string>",
"previewImageUrl": "<string>",
"modelId": "<string>",
"materialId": "<string>",
"errorMessage": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}Authorizations
Mint API key sent as a Bearer token.
Path Parameters
Response
Account-owned Mint asset.
One account-owned asset from the Mint library.
Stable object discriminator.
Mint asset type.
Available options:
world, model, asset_pack, material, material_pack, image, audio, reference_image Mint asset ID.
Asset title shown in Mint.
Current asset status, when available.
Asset thumbnail URL, when available.
When the asset was created.
When the asset last changed.
Asset Pack or Material Pack items, when applicable.
Show child attributes
Show child attributes
⌘I
Get an asset pack
